        *****************************************************
        *           SMTP for NetWare Global MHS             *
        *            Upgrade 1.0b Instructions              *
        *                  October 6, 1993                  *
        *****************************************************


                UPGRADING FROM versions 1.0 to 1.0b
                        ------------------
This file describes how to upgrade SMTP for NetWare Global MHS  
versions 1.0 to 1.0b.

This upgrade provides the following fixes and enhancements:

   * Expiration-Date support.

   * Non-delivery information will be sent to senders for all messages where
     the recipient is not known.  

   * Message-Id conversion from SMTP to SMF and vice-versa.

   * Full support for the SMTP directive to address the INTERNET users from
     SMF70 or SMF71 applications.

   * Attachment (Binary) translation times are improved.
     (UUENCODE/UUDECODE), Auto-UUDECODE features are faster than in v1.0..

   * Socket (buffered) IO improved outbound delivery.

   * DNS Resolver Fix.  If there are multiple MX records, the outbound will
     try to deliver one after the other in the preference order until it
     succeeds.


    NOTE:  This patch is designed to upgrade SMTP version 1.0
           to SMTP version 1.0b. If you have an NGMSMTP.NLM which
           is not dated '2-16-93', this upgrade procedure will not
           work.  To determine your current SMTP version, type 'MODULES'
           at the server console prompt and verify that the version
           number for 'NGMSMTP.NLM' is 1.0. If you have received any
           patch release releases, 1.0b beta releases or special
           SMTP releases, you will need to contact your local Novell
           representative to receive instructions on how to upgrade
           your system. This patch process will not change the version
           number of SMTP as it is reported from within NetWare's
           INSTALL/PRODUCT OPTIONS listing. INSTALL will continue to
           display the original SMTP version number.


                   WHAT DO YOU NEED TO DO FIRST?
                        ------------------
Use this upgrade to modify an existing SMTP for NetWare Global MHS 
installation.  Before you install this upgrade, verify that the original
SMTP for NetWare Global MHS version 1.0 is installed on your server. For
information on installing 1.0, refer to your "NetWare Global Messaging
SMTP Protocol Module Administrator's Guide", part number 100-001202-001.



                     WHICH FILES ARE UPGRADED?
                        ------------------
The following files are modified during the SMTP 1.0b upgrade procedure.

	1.   NGMSMTP.NLM
        2.   SMTPCON.NLM
        3.   README.TXT 


This upgrade does not change the serial number and maximum number
of licensed users for your installation. 


                      UPGRADING YOUR SERVER
                        ------------------

1.  Login to your NGM server as supervisor.

2.  Verify that your server has at least 2 MB of free hard disk space.
    This is the recommended minimum required to perform this upgrade.

3.  The contents of the SMTP for NetWare Global MHS patch is as follows:

        1.  README.SMT
        2.  PATCH.EXE
        3.  PATCHSMT.BAT
        4.  SMTP1B.RTP
	
4.  Copy the files 'PATCH.EXE', 'PATCHSMT.BAT', and 'SMTP1B.RTP'
    to the root NGM directory.  The default directory is: <drive:>\NGM.

        Sample:  COPY PATCH.EXE     <drive:>\NGM\*.*
                 COPY PATCHSMT.BAT  <drive:>\NGM\*.*
                 COPY SMTP1B.RTP    <drive:>\NGM\*.*

    If you installed NetWare Global MHS in a different 
    directory, be sure to copy the upgrade files to that directory.
    For example, if NetWare Global MHS is installed in the
    directory <drive:>\PUBLIC\MAIL\NGM\, enter the following:

        Sample:  COPY PATCH.EXE     <drive:>\PUBLIC\MAIL\NGM\*.*
                 COPY PATCHSMT.BAT  <drive:>\PUBLIC\MAIL\NGM\*.*
                 COPY SMTP1B.RTP    <drive:>\PUBLIC\MAIL\NGM\*.*

    The patch program searches all subdirectories to find the 
    appropriate files to upgrade.  Therefore, it is very important 
    to start the upgrade procedure from the correct directory.

5.  Unload SMTP at the server console and make a backup copy of your
    .\NGM\SMTP directory structure as well as .\NGM\BIN\NGMSMTP.NLM
    and .\NGM\BIN\SMTPCON.NLM.

    IMPORTANT:  Do not save backup files under the same directory 
                structure in which you installed NGM or SMTP.  The
                upgrade procedure will update the first file found
                within the directory structure. Therefore, if this
                first file happens to be a backup file, the correct 
                system file will not be upgraded.

6.  Change to the root NGM directory (where you copied the upgrade files).
    Enter:

        PATCHSMT

    The patch program upgrades all appropriate files.  The patch 
    program also retains a log of the results in a file called
    'RESULTS.TXT'.  To verify your upgrade installation, view the
    contents of 'RESULTS.TXT' after the upgrade is complete.

7.  The patch process will place the new README.TXT file in the
    .\NGM\SMTP directory in order to avoid overwriting other 
     README.TXT files.

8.  During the patch process a BACKUP directory is created under
    the directory from which you ran 'PATCHSMT'. (Verify that no
    previous BACKUP directory exists). The BACKUP directory contains
    all files that were changed and a file called 'UNPATCH.BAK'.  If
    you want to undo your upgrade and return your installation to its
    previous state, perform the following procedure.

        o To restore your system, change to the BACKUP directory,
          copy 'UNPATCH.BAK' to 'UNPATCH.BAT', and type "UNPATCH".
          This file will delete all new files in the appropriate
          directories and replace them with the files which originally
          existed.

        o Verify the original files have been correctly re-installed
          and delete the BACKUP directory before attempting to upgrade
          the system for a second time.

        o Do NOT delete the BACKUP directory until you are
          satisfied that the upgrade procedure was successful.


 *****************************************************************************
                                 DISCLAIMER
  
      Novell, Inc. makes no representations or warranties with respect 
      to this software patch, and specifically disclaims any express 
      or implied warranties of merchantability, title, or fitness for 
      a particular purpose.

      Novell's intentions for this software patch is to provide solutions
      to the anomalies described in this file. 

      Distribution of this patch is forbidden without the express written
      consent of Novell, Inc.  Novell reserves the right to discontinue
      distribution of this software patch.

      Novell will not be responsible for any data loss that may result from
      implementing this patch.  Novell strongly recommends a backup be made 
      before any patch is applied.  Technical support for this patch is 
      provided at the discretion of Novell.
 *****************************************************************************
